Page MenuHomePhabricator

[Dashboards] Update external traffic dash to show non-bot traffic
Closed, ResolvedPublic4 Story Points

Description

Based on the comments in T161771#3147339, we'd like to add in non-bot pageviews and % shares (as a separate task). This is knowing that we can't retrospectively break down historical data we already have.

Event Timeline

debt created this task.Mar 31 2017, 8:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2017, 8:47 PM
mpopov renamed this task from Update dashboards for bot traffic to [Dashboards] Update external traffic dash to show non-bot traffic.Apr 5 2017, 7:42 PM
mpopov set the point value for this task to 4.
mpopov claimed this task.Apr 11 2017, 11:10 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 347785 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/golden@master] Start keeping track of non-bot traffic

https://gerrit.wikimedia.org/r/347785

Change 347785 merged by Bearloga:
[wikimedia/discovery/golden@master] Start keeping track of non-bot traffic

https://gerrit.wikimedia.org/r/347785

Change 348018 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/wonderbolt@master] Let users view non-bot pageview traffic breakdown

https://gerrit.wikimedia.org/r/348018

Change 348018 merged by Chelsyx:
[wikimedia/discovery/wonderbolt@master] Let users view non-bot pageview traffic breakdown

https://gerrit.wikimedia.org/r/348018

Excellent, thanks folks!

Small cosmetic suggestion: It would be nice if the color for "None (direct)" is consistent between the old and new view (i.e. doesn't change when ticking/unticking the "include automata" checkbox - I guess the reason this happens currently is because the non-bot view no longer includes "Unknown").

debt closed this task as Resolved.Apr 21 2017, 9:40 PM